<?php

namespace App\Generated\V1_1\Messages\Mock;

use Kamicloud\StubApi\Concerns\ValueHelper;
use Kamicloud\StubApi\Http\Messages\Message;
use Kamicloud\StubApi\Utils\Constants;

class SendFriendApplyMessage extends Message
{
    use ValueHelper;

    protected $uid;
    protected $contactUid;

    /**
     * @return int
     */
    public function getUid()
    {
        return $this->uid;
    }

    /**
     * @return int
     */
    public function getContactUid()
    {
        return $this->contactUid;
    }

    public function requestRules()
    {
        return [
            ['uid', 'uid', 'bail|integer', Constants::INTEGER, null],
            ['contactUid', 'contact_uid', 'bail|integer', Constants::INTEGER, null],
        ];
    }

    public function responseRules()
    {
        return [
        ];
    }

    public function setResponse()
    {
    }

}
